Package gui.menu

# Class BaseView

java.lang.Object
gui.menu.BaseView

Direct Known Subclasses:
  `ConnexionStatusView`, `EndGameView`, `MainMenu`, `MultiMenu`, `MultiPlayerDokuView`, `MultiPlayerView`, `OptionsMenu`, `SoloMenu`, `SudokuView`

public abstract class BaseView extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final StateMachine`
  `stateMachine`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseView(StateMachine stateMachine)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanResources()`
  `void`
  `closeMenu()`
  `void`
  `closeMenu(int count)`
  `abstract void`
  `render()`
  `protected void`
  `renderReturnButton()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### stateMachine

    protected final StateMachine stateMachine

- ## Constructor Details

  - ### BaseView

    public BaseView(StateMachine stateMachine)

- ## Method Details

  - ### render

    public abstract void render()

  - ### cleanResources

    public void cleanResources()

  - ### closeMenu

    public void closeMenu(int count)

  - ### closeMenu

    public void closeMenu()

  - ### renderReturnButton

    protected void renderReturnButton()